PDA

View Full Version : LW 2015 Genoma Problems



slanz
12-20-2014, 09:57 PM
Hi, I am trying to use the Genoma 2 presets on Lightwave3d 2015, but I get errors when converting the rig in Layout.

--- Unknown Command "Generic_Pv_ConvertTagsToNulls"

--- Line 179 dimensions value 4 exceeds dimension size [1] for array parentcheck

In 11.6.3 it was working fine.

Any advise will be appreciated.

Thanks

lino.grandi
12-21-2014, 02:26 AM
Please try to add the plugin from the proper folder:

C:\Program Files\NewTek\LightWave_2015\support\plugins\script s\Python\Layout\Generic

Or use Edit Plugin a make a scanof this folder:

C:\Program Files\NewTek\LightWave_2015\support\plugins

This should solve the problem.

slanz
12-30-2014, 10:48 PM
Thanks Lino,
I added the Plugins as suggested, but I'm still getting the error:

--- Line 179 dimensions value 4 exceeds dimension size [1] for array parentcheck

It happens with the G2_Human_Rig. The Human_Biped works fine.

Thanks

lino.grandi
01-02-2015, 06:26 AM
That's quite odd.

Normally you get that message only if the Python script has not been added.

Try this...

Add the Python script again, exit Layout (so the configuration is recorded) and lunch Layout again.

slanz
01-03-2015, 06:05 PM
tried it, but get the same error --- Line 179...
I re-installed it as well, but same problem..

lino.grandi
01-04-2015, 06:52 AM
tried it, but get the same error --- Line 179...
I re-installed it as well, but same problem..

That means the very first problem has not been solved.


For some reason LightWave isn't adding the Python plugin used by Genoma automatically.

Please try to add the plugin from the proper folder:

C:\Program Files\NewTek\LightWave_2015\support\plugins\script s\Python\Layout\Generic

Then exit Layout so the configuration is saved. That should solve any problem you may have with Genoma2.

That's the same solution I gave here and it should work fine:

http://forums.newtek.com/showthread.php?145050-LW-2015-after-update-Genoma-create-rig-still-crashing-programme&p=1416515&viewfull=1#post1416515


Can you please post the Genoma2 preset you're using?

Spinland
07-16-2015, 07:49 PM
Hello! I'm having the same problem on two different Macs except I only get the line 179 dimension message. I've rescanned the plugin folder and also manually added all the files in that Python folder multiple times and closed Layout. No good. I'm simply trying to send the default G2 biped, no changes, but cannot create the rig. I also re-downloaded the latest content and tried the default human model with rig in that, same problem.

Edited to add: I tried deleting everything from my Preferences folder and recreating everything from scratch by opening and closing both programs and the Hub. Then I manually added those Python files. Tried the default G2 humanoid and quadruped rigs, neither will create. I get the dimension error message and then an incomplete rig. The old Genoma stuff appears to create just fine.

I'm running LW 2015.2 and all of my Macs run Yosemite.

Kryslin
07-18-2015, 06:56 PM
I am having problems trying to generate the G2 Biped as well; I added some geometry to my test rig, and sent it to layout.

1) I get a message about "Generic_tags_to_nulls.py missing" and the line 179 message.
2) After forcing the scan of the "Genoma" directory, I get the same two messages.
3) After forcing a rescan of the entire plugins directory, the process will start... and crash out hard about halfway through (it crashes in the indentifying item types segment.
4) I'm going to go through this one more time...
... and it works.

Try this :
1) rescan the entire plugins folder
2) save the scene.
3) Quit layout.
4) Restart Layout
5) Reload Scene
6) Create Rig.
7) If all has gone well, the rig should generate.
(LW 2015.2 64 Bit, Windows 7 Professional SP1)

Kryslin
07-18-2015, 07:01 PM
...And it works on a second and third try. I think the key step is the scan, quit layout (from the menu) and then restart. The changes appear to have taken hold now.

Spinland
07-18-2015, 07:34 PM
Thanks, Kryslin, your info is much appreciated; alas, it didn't work for me. None of the G2 presets will compile for me without the line 179 error on either of my Macs. Weird. I'd consider a full reinstall from scratch except it's on both machines and both installations can't be borked at the same time.

lertola2
08-04-2015, 07:32 PM
Same thing here. I can not create a rig with the genoma 2 biped preset. I get the error message: Line 179, dimension value 4 exceeds dimension sie [1] for array parentcheck

Spinland
08-04-2015, 11:42 PM
I'm thinking I should file a bug report on this.

Julez4001
08-06-2015, 12:38 AM
Does the lw*.cfg "date modified" change in your folder view?
Can you confirm that the scan was completed and saved after you shutdown lightwave and after you shutdown lwhub.

Spinland
08-06-2015, 05:45 AM
Yes, and yes. I've even cleared out the entire Preferences folder and recreated it from scratch, and each time I can verify the required plugin is being listed as there before I try to make the rig. This is what NT support sent last night:


It's the "convertTagstoNulls.py" plugin. Autoscan, and can won't pick it up -- so if you hand add it, you'll be up and running.

It's located in

\support\plugins\scripts\Python\Layout\Generic\


But, as I stated, that makes no difference. By every indicator the plugin is actually installed but I still get the error, on multiple Macs.

creacon
08-06-2015, 05:59 AM
You are aware that the tip you're giving here hasn't been necessary for a few years now, right?
The configs are saved immediately after you close the edit plugins window.

creacon



Add the Python script again, exit Layout (so the configuration is recorded) and lunch Layout again.

Spinland
08-06-2015, 06:08 AM
Did a new LW install on a third Mac I'd recently wiped and reinstalled Yosemite. Verified the Python plugin is, in fact, installed. Here is the screen shot:

129156

Create Rig still gives the same error. As I mentioned (somewhere, maybe in email to NT) I also deleted the plugin from the list and then manually re-added it. No help.

Spinland
08-06-2015, 06:13 PM
So, after a lengthy telecon and screen control session with Newtek we've narrowed my problem to the LWCAD 4.51 plugins. Those are supposed to be Modeler plugins but Layout loads them and so long as they are present the G2 rigs won't compile. Soon as I edit plugins and delete them, or remove the plugins from the plugins folder entirely, G2 rigs compile fine.

lertola2
08-06-2015, 06:34 PM
Yes I was just on the phone with them also. He knew that the problem was lwcad immediately because he had just figured it out with you.

Spinland
08-06-2015, 06:39 PM
I just submitted a report to Victor via the comment form on his web site.

Waves of light
08-07-2015, 07:02 AM
Oh, this is great to know. I've had such problems with Genoma 2 inside of the LW2015.2 trial. Crashing and error messages. I submitted the errors as a bug report - and got a reply (well played devs). My trial is over now, so I will see if I can delete the LWCAD files and make this work in Discovery mode.

Spinland
08-13-2015, 02:51 AM
From Viktor:


Hello Mark.
It is bug in LightWave.
NewTek already solving this problem.

Best Regards
--------------------------------
Viktor Velicko
W-Tools
www.wtools3d.com

I just followed up with NT support to make sure everyone is on the same page with this.

jwiede
08-13-2015, 03:53 AM
From Viktor:



I just followed up with NT support to make sure everyone is on the same page with this.


Just out of interest, in Layout, what kind of plugins do the LWCAD plugins get labeled as in the Plugins panel's type column?

Spinland
08-13-2015, 04:21 AM
129253

jwiede
08-13-2015, 06:35 AM
129253

That's kinda what I figured (same as in 11.6.3). Did the tech support person who debugged it with you tell you to take it up with Viktor?

Spinland
08-13-2015, 06:36 AM
Yep, and Viktor just punted it back to being a LW problem, hence my passing his email along to the tech folks I spoke with.

Wade
08-13-2015, 08:49 AM
Is this a Mac only issue or windows as well? Perhaps this is one of a few things that yet delay a LWCAD 5 final release??

Spinland
08-13-2015, 09:02 AM
This is what I just got back from NT support:


I have taliked with VIktor myself at length, and have gotten infomation from him as well. We have an idea at least on where to start looking for the issue.

It's a strange one, as it doesn't manifest itself on PC at all - it's 100% mac only.

As I say, we have an idea on where- and we have only just scratched the start of the investigation, as we have other more pressing things to handle at the moment.

Rest assured, we know the issue exists, we have an idea on what it is - but we have not isolated it nor come up with a way to address it yet.


Thank you for your report.
--
LightWave 3D Group Support

jwiede
08-16-2015, 03:08 PM
Yep, and Viktor just punted it back to being a LW problem, hence my passing his email along to the tech folks I spoke with.

Yeah, that's unfortunate, and a needless waste of your (and Viktor's) time, considering Layout itself clearly identifies the LWCAD plugins as Modeler API plugins.

Spinland
08-16-2015, 03:11 PM
Yeah, that's unfortunate, and a needless waste of your (and Viktor's) time, considering Layout itself clearly identifies the LWCAD plugins as Modeler API plugins.

Probably so, but I measure my time spent in terms of results so if my emails help move a solution along then I am content. I have an easy workaround (just disable the plugins briefly before making rig) so for me it's not much of a problem. I only use Genoma to create the raw material for a final rig so it's all good on my end.

jwiede
08-16-2015, 03:50 PM
Probably so, but I measure my time spent in terms of results so if my emails help move a solution along then I am content. I have an easy workaround (just disable the plugins briefly before making rig) so for me it's not much of a problem. I only use Genoma to create the raw material for a final rig so it's all good on my end.

Understood, hopefully Viktor is as forgiving -- seems like Lightwave needs LWCAD more than the other way around.

hunimator
12-03-2015, 04:52 PM
Hi,

Does anyone know if this issue has been resolved yet?
I've got LwCad5 on 2015.3 and get the same error when trying to create a Genoma 2 human rig in Layout.
Do I really need to remove the LwCad plugins for Genoma 2 presets to work?

Many thanks

Waves of light
12-04-2015, 12:47 AM
I have lwcad 5 and Genome 2 is working beautifully together. One thing to watch out for.. don't create or update a rig with scene editor open, it can crash your scene.

jwiede
12-04-2015, 05:56 AM
I have lwcad 5 and Genome 2 is working beautifully together.

Was that on Mac? Per LW support response above: "It's a strange one, as it doesn't manifest itself on PC at all - it's 100% mac only."

Waves of light
12-04-2015, 05:58 AM
Sorry, that is on PC, not Mac.

hunimator
12-06-2015, 12:32 PM
Yes, I'm running it on a Macbook Pro.
I've got 2015.2 installed as well, without LwCad and I don't have this problem there.

ruscular
12-31-2015, 11:10 AM
I have 2 machine with Lightwave 8.5 and I upgraded and got the same error tag reading line 179 blahblah and so I did a clean OS install with my second computer and just install lightwave 2015 and it work. I been told that earlier LW should not effect each other, but I can't think of anything else. My trouble system is a window8.1 and my working system is Vista32 my second system doesn't have a firewall and it didn't work with the lightwave 8.5 in it, and the new fresh install without LW 8.5 works great. My second system was a very hardly use window system and is a dual boot with a linux system so the window system was like a fresh install before. The only difference was I left out LW 8.5

I gotta ask if that was the case for those having problems?

ruscular
12-31-2015, 04:34 PM
I sent them my screen capture of "Error": "Unknown command Generic_Py_ConvertTagsToNulls", and "Error Genoma Create Rig.LSC": "Line 181, dimension value 4 exceeds dimension size [1] for array parentcheck


From Lightwave Tech support:

"Got it - okay, this is "the standard fix"..

Try this.

Hit Alt-F11 to open "Edit Plugins" -- then click on "Add plugins" on the right

Navigate to here:
\support\plugins\scripts\Python\Layout\Generic

and select "ConvertTagsToNulls.py" - click on Open, and say "ok"

Then, try to convert your Genoma rig.

jeric_synergy
01-01-2016, 11:51 AM
Soooo, a missing plugin?